Name:		perl-Bio-SamTools
Version:	1.35
Release:	2%{?dist}
Summary:	Bio::SamTools Perl module
License:	GPL+ or Artistic 2.0
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Bio-SamTools/
Source0:	http://search.cpan.org/CPAN/authors/id/L/LD/LDS/Bio-SamTools-%{version}.tar.gz
BuildRequires:	perl >= 0:5.008
BuildRequires:	perl(Bio::PrimarySeq)
BuildRequires:	perl(Bio::SeqFeature::Lite)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Test)
BuildRequires:	samtools-devel >= 0.1.8
BuildRequires:	zlib-devel

#Requires:	 perl-bioperl
Requires:	 perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This is a Perl interface to the SAMtools sequence alignment interface.
See http://samtools.sourceforge.net/.


%prep
%setup -q -n Bio-SamTools-%{version}
sed -i 's|= find_sam(|= ("%{_includedir}/samtools", "%{_libdir}"|' Build.PL

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS" 
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes DISCLAIMER LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Bio*
%{_mandir}/man3/*
%{_bindir}/bamToGBrowse.pl
%{_bindir}/genomeCoverageBed.pl

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 22 2012  <bloch@verdurin.com> - 1.35-1
- Update to upstream release 1.35

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Petr Pisar <ppisar@redhat.com> - 1.33-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Adam Huffman <verdurin@fedorapeople.org> - 1.33-1
- New upstream bugfix release 1.33

* Thu Nov 10 2011 Adam Huffman <verdurin@fedorapeople.org> - 1.32-1
- New upstream release 1.32

* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 1.31-1
- update to 1.31

* Wed Aug 17 2011 Adam Huffman <bloch@verdurin.com> - 1.30-1
- New upstream release 1.30

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.29-2
- Perl mass rebuild

* Fri Jun 24 2011 Adam Huffman <bloch@verdurin.com> - 1.29-1
- new upstream release 1.29
- see http://cpansearch.perl.org/src/LDS/Bio-SamTools-1.29/Changes for details

* Fri May 27 2011 Adam Huffman <bloch@verdurin.com> - 1.28-2
- add new genomeCoverageBed.pl script

* Fri May 27 2011 Adam Huffman <bloch@verdurin.com> - 1.28-1
- new upstream bugfix release 1.28

* Fri Mar 18 2011 Adam Huffman <bloch@verdurin.com> - 1.27-2
- remove perl-bioperl reqs. and fix license

* Mon Mar 14 2011 Adam Huffman <bloch@verdurin.com> - 1.27-1
- new upstream version 1.27
- remove unnecessary runtime samtools-devel R
- more fine-grained module BR for bioperl and others
- fix license
- remove commented cruft

* Sun Mar 13 2011 Adam Huffman <bloch@verdurin.com> - 1.21-3
- better fix for samtools headers from Petr Pisar

* Sun Oct 10 2010  Adam Huffman <bloch@verdurin.com> - 1.21-2
- add patch to fix includes (from Rasmus)

* Sun Sep 26 2010 Adam Huffman <bloch@verdurin.com> - 1.21-1
- new upstream version

* Mon Sep  6 2010 Adam Huffman <bloch@verdurin.com> - 1.20-3
- filter unwanted provides

* Mon Sep  6 2010 Adam Huffman <bloch@verdurin.com> - 1.20-2
- add zlib BR

* Wed Jul 21 2010 Adam Huffman <bloch@verdurin.com> 1.20-1
- Specfile autogenerated by cpanspec 1.78.
